types.h File Reference

Various types that must be defined here. More...

`#include <stdint.h>`

## Data Structures

struct | dc1394color_codings_t
struct | dc1394video_modes_t

## Enumerations

enum | dc1394video_mode_t
enum | dc1394color_coding_t
enum | dc1394color_filter_t
enum | dc1394byte_order_t
enum | dc1394bool_t
enum | dc1394switch_t

## Detailed Description

Various types that must be defined here.

More details soon

## Enumeration Type Documentation

## dc1394bool_t

enum dc1394bool_t

Yet another boolean data type

## dc1394byte_order_t

enum dc1394byte_order_t

Byte order for YUV formats (may be expanded to RGB in the future)

IIDC cameras always return data in UYVY order, but conversion functions can change this if requested.

## dc1394color_coding_t

enum dc1394color_coding_t

Enumeration of colour codings. For details on the data format please read the IIDC specifications.

## dc1394color_filter_t

enum dc1394color_filter_t

RAW sensor filters. These elementary tiles tesselate the image plane in RAW modes. RGGB should be interpreted in 2D as

RG GB

and similarly for other filters.

## dc1394switch_t

enum dc1394switch_t

Yet another boolean data type, a bit more oriented towards electrical-engineers

## dc1394video_mode_t

enum dc1394video_mode_t

Enumeration of video modes. Note that the notion of IIDC "format" is not present here, except in the format_7 name.